Bug 542391 - Paraview crash on save screenshot
Paraview crash on save screenshot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
: 569177 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-29 11:05 EST by Mathew Topper
Modified: 2010-11-22 11:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-15 05:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gdb trace for paraview seg fault (11.90 KB, text/plain)
2009-11-29 11:05 EST, Mathew Topper
no flags Details
The Paraview scene that causes crash on save screenshot (204.25 KB, image/png)
2009-12-01 16:20 EST, Mathew Topper
no flags Details
The paraview state file to recreate crash. (588.80 KB, application/octet-stream)
2009-12-01 17:11 EST, Mathew Topper
no flags Details

  None (edit)
Description Mathew Topper 2009-11-29 11:05:38 EST
Created attachment 374580 [details]
gdb trace for paraview seg fault

Description of problem: Paraview crashes while attempting to save screenshot of current 3D scene.

Version-Release number of selected component (if applicable): 3.6.1-6.fc11


How reproducible: Every time


Steps to Reproduce:
1. Start paraview. Open a 3D scene of some sort (use source to make an image)
2. Go to File -> Save Screenshot -> OK on next dialogue
3. Enter File path and name and click OK
  
Actual results: Paraview crashed with seg fault.


Expected results: Paraview should save a screenshot


Additional info: I am running the rawhide version of glibc (version 2.11.90-2).

Attached is the gdb trace.
Comment 1 Mathew Topper 2009-11-30 11:23:13 EST
Downgraded glibc to 2.10.1-5, with no positive impact on the bug.
Comment 2 Orion Poplawski 2009-12-01 15:34:42 EST
Strange.  This seems to indicate that:

  const char *version =
    reinterpret_cast<const char *>(glGetString(GL_VERSION));

is returning NULL, which seems pretty unlikely.  What video card and driver?

Can you attach a copy of your 3D scene?
Comment 3 Mathew Topper 2009-12-01 16:20:06 EST
Created attachment 375195 [details]
The Paraview scene that causes crash on save screenshot

System Information                 
        Manufacturer: Dell Inc.    
        Product Name: Vostro1310

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller [8086:2a02] (rev 0c)                             
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller [8086:2a03] (rev 0c)

The driver is the notorious xorg-x11-drv-intel. For instance, see this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=509519

Scene which crashed paraview is attached.
Comment 4 Mathew Topper 2009-12-01 16:40:38 EST
Tested with xorg-x11-drv-intel 2.7.0-9.fc11 from updates testing. Same result, with, from what i can see, an identical trace.

There is a kernel update due, which I will install tomorrow and I'll report if this has a positive effect.
Comment 5 Mathew Topper 2009-12-01 17:11:52 EST
Created attachment 375213 [details]
The paraview state file to recreate crash.
Comment 6 Orion Poplawski 2009-12-01 17:40:03 EST
Can you compile and run this:

$ cat test.cpp
#include <GL/gl.h>
#include <GL/glut.h>
#include <cstdio>
using namespace std;

void display() { /* empty function   required as of glut 3.0 */ }

int main(int argc,char **argv) {
  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_RGB | GLUT_DEPTH | GLUT_DOUBLE);
  glutInitWindowSize(800,600);
  glutCreateWindow("Hello World");

  const char *version =
    reinterpret_cast<const char *>(glGetString(GL_VERSION));

  printf("version = %x, %s\n",version,version);
}
$ g++ -o test test.cpp -lglut -lGL
$ ./test
version = cf591d, 1.5 Mesa 7.7-devel
Comment 7 Mathew Topper 2009-12-01 18:16:51 EST
[topper@hopalong c++]$ g++ -o test test.cpp -lglut -lGL
[topper@hopalong c++]$ ./test
version = 7f3a5633, 2.1 Mesa 7.6-devel
Comment 8 Mathew Topper 2009-12-02 04:21:33 EST
Note that test.cpp would only compile if freeglut-devel and mesa-libGL-devel were installed.
Comment 9 Mathew Topper 2009-12-02 14:54:12 EST
No joy with the kernel update. I'm getting an occasional system freeze starting paraview too, but no kernel oops or core dump, sadly.
Comment 10 Orion Poplawski 2010-01-04 15:59:05 EST
Okay, I have some updates to test:

3.6.2:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1901539

3.6.2 + patch version 1:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1901556

3.6.2 + patch version 2:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1901590

Please let me know if any of them help.
Comment 11 Mathew Topper 2010-01-14 19:09:05 EST
I'm sorry, Orion, I don't know how to get the updates from koji to test them. Can you describe how it is done?
Comment 12 Orion Poplawski 2010-03-01 10:55:23 EST
*** Bug 569177 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2010-04-28 07:28:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Mathew Topper 2010-06-15 05:10:19 EDT
Bug is fixed in version 3.6.2-3.fc13. I'll mark the bug as closed.
Comment 15 Kyrre Ness Sjøbæk 2010-11-22 04:44:56 EST
I'm seeing some similar strangeness (crashes and warnings) when doing screenshots in Paraview and CUBIT (3D modeler and mesh generator also from Sandia), which might be related. Fedora 13, Intel graphics on a Dell Latitude D520 laptop.

Also, using a 2nd order mesh in CUBIT will make the display go "crazy" - and no other CUBIT users I've spoken to has seen this before.

This is Paraview 3.8.1-RC1 w/ SLAC toolbar and CUBIT 12.2 or 12.1
Comment 16 Orion Poplawski 2010-11-22 10:59:14 EST
(In reply to comment #15)
> I'm seeing some similar strangeness (crashes and warnings) when doing
> screenshots in Paraview and CUBIT (3D modeler and mesh generator also from
> Sandia), which might be related. Fedora 13, Intel graphics on a Dell Latitude
> D520 laptop.
> 
> Also, using a 2nd order mesh in CUBIT will make the display go "crazy" - and no
> other CUBIT users I've spoken to has seen this before.
> 
> This is Paraview 3.8.1-RC1 w/ SLAC toolbar and CUBIT 12.2 or 12.1

If you can get good stacktraces, go ahead an file a new bug.
Comment 17 Kyrre Ness Sjøbæk 2010-11-22 11:18:30 EST
(In reply to comment #16)
> (In reply to comment #15)
> > I'm seeing some similar strangeness (crashes and warnings) when doing
> > screenshots in Paraview and CUBIT (3D modeler and mesh generator also from
> > Sandia), which might be related. Fedora 13, Intel graphics on a Dell Latitude
> > D520 laptop.
> > 
> > Also, using a 2nd order mesh in CUBIT will make the display go "crazy" - and no
> > other CUBIT users I've spoken to has seen this before.
> > 
> > This is Paraview 3.8.1-RC1 w/ SLAC toolbar and CUBIT 12.2 or 12.1
> 
> If you can get good stacktraces, go ahead an file a new bug.

Was the original bug caused by weirdness in Intel drivers or by Paraview?
Comment 18 Orion Poplawski 2010-11-22 11:32:57 EST
(In reply to comment #17)
> Was the original bug caused by weirdness in Intel drivers or by Paraview?

No idea.

Note You need to log in before you can comment on or make changes to this bug.